Retrieve stored Dialogflow Connection
Return details of the Dialogflow connection associated with the given CallControl connection.
GET
/
dialogflow_connections
/
{connection_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const dialogflowConnection = await client.dialogflowConnections.retrieve('connection_id');
console.log(dialogflowConnection.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
dialogflow_connection = client.dialogflow_connections.retrieve(
"connection_id",
)
print(dialogflow_connection.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
dialogflowConnection, err := client.DialogflowConnections.Get(context.TODO(), "connection_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", dialogflowConnection.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.dialogflowconnections.DialogflowConnectionRetrieveParams;
import com.telnyx.sdk.models.dialogflowconnections.DialogflowConnectionRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DialogflowConnectionRetrieveResponse dialogflowConnection = client.dialogflowConnections().retrieve("connection_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
dialogflow_connection = telnyx.dialogflow_connections.retrieve("connection_id")
puts(dialogflow_connection)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$dialogflowConnection = $client->dialogflowConnections->retrieve(
'connection_id'
);
var_dump($dialogflowConnection);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx dialogflow-connections retrieve \
--api-key 'My API Key' \
--connection-id connection_idcurl --request GET \
--url https://api.telnyx.com/v2/dialogflow_connections/{connection_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "dialogflow_connections",
"connection_id": "1234541231",
"conversation_profile_id": "a-VMHLWzTmKjiJw5S6O0-w",
"environment": "development",
"service_account": "****"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Uniquely identifies a Telnyx application (Call Control).
Response
Return details of the Dialogflow connection associated with the given CallControl connection.
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const dialogflowConnection = await client.dialogflowConnections.retrieve('connection_id');
console.log(dialogflowConnection.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
dialogflow_connection = client.dialogflow_connections.retrieve(
"connection_id",
)
print(dialogflow_connection.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
dialogflowConnection, err := client.DialogflowConnections.Get(context.TODO(), "connection_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", dialogflowConnection.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.dialogflowconnections.DialogflowConnectionRetrieveParams;
import com.telnyx.sdk.models.dialogflowconnections.DialogflowConnectionRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DialogflowConnectionRetrieveResponse dialogflowConnection = client.dialogflowConnections().retrieve("connection_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
dialogflow_connection = telnyx.dialogflow_connections.retrieve("connection_id")
puts(dialogflow_connection)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$dialogflowConnection = $client->dialogflowConnections->retrieve(
'connection_id'
);
var_dump($dialogflowConnection);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx dialogflow-connections retrieve \
--api-key 'My API Key' \
--connection-id connection_idcurl --request GET \
--url https://api.telnyx.com/v2/dialogflow_connections/{connection_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "dialogflow_connections",
"connection_id": "1234541231",
"conversation_profile_id": "a-VMHLWzTmKjiJw5S6O0-w",
"environment": "development",
"service_account": "****"
}
}